Bug 694788 - [abrt] systemd-24-1.fc15: systemd-analyze:33:acquire_start_time:AssertionError
Summary: [abrt] systemd-24-1.fc15: systemd-analyze:33:acquire_start_time:AssertionError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60c15a27
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-08 12:13 UTC by Elad Alfassa
Modified: 2011-05-01 03:23 UTC (History)
6 users (show)

Fixed In Version: systemd-25-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-01 03:23:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (610 bytes, text/plain)
2011-04-08 12:13 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2011-04-08 12:13:54 UTC
abrt version: 2.0.0
comment: systemd-analyze blame works, but systemd-analyze plot doesn't 
executable: /usr/bin/systemd-analyze
component: systemd
uid: 500
package: systemd-24-1.fc15
kernel: 2.6.38.2-9.fc15.x86_64
reason: systemd-analyze:33:acquire_start_time:AssertionError
architecture: x86_64
username: elad
os_release: Fedora release 15 (Lovelock)
time: 1302264436

backtrace
-----
systemd-analyze:33:acquire_start_time:AssertionError

Traceback (most recent call last):
  File "/usr/bin/systemd-analyze", line 95, in <module>
    start_time, finish_time = acquire_start_time()
  File "/usr/bin/systemd-analyze", line 33, in acquire_start_time
    assert startup_time <= finish_time
AssertionError

Local variables in innermost frame:
finish_time: 1302263305931710
startup_time: 1302274093843892
properties: <Interface <ProxyObject wrapping <dbus._dbus.SystemBus (system) at 0x1e3b7d0> :1.0 /org/freedesktop/systemd1 at 0x1e9bb10> implementing 'org.freedesktop.DBus.Properties' at 0x1e9bb90>

Comment 1 Elad Alfassa 2011-04-08 12:13:58 UTC
Created attachment 490774 [details]
File: backtrace

Comment 2 Michal Schmidt 2011-04-08 14:53:34 UTC
This should be already fixed upstream by the use of the monotonic clock:
http://cgit.freedesktop.org/systemd/commit/?id=b21a0ef8fc3d78ca3cc9d08e8ec8e41705d9902e

Comment 3 Lennart Poettering 2011-04-11 18:37:30 UTC
Yupp, fixed in git.

(And non-UTC RTC is ugly, btw)

Comment 4 Fedora Update System 2011-04-21 01:59:54 UTC
systemd-25-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/systemd-25-1.fc15

Comment 5 Fedora Update System 2011-04-21 03:01:14 UTC
Package systemd-25-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-25-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-25-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-05-01 03:22:21 UTC
systemd-25-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.